Description

Recently upgrading from 1.3.1 to 1.4.2, I found that

the commit comments seem to no longer truncate only the first line when viewed from repository menu.

Seems to be applied at r8850 "Integrated revision graph into scmid column." (in views/repositories/_revisions.html.erb ),

but can't understand why  truncate_at_line_break(changeset.comments, 0)  was removed.

The default length of truncate_at_line_break is 255 , and doesn't really help to truncate at line without proper length given.

Is there some reason for this change?

If not, I would like to have the "first line comment only" feature back :)

Thanks.

Related issues:

Related to Redmine - Feature #10886: Sensitivity to git-style log messages New

History

#1 - 2012-05-19 11:19 - Etienne Massip

- Tracker changed from Defect to Feature

- Subject changed from no more comments nowrap for revisions from 1.4.0 to Restore comments nowrap for revisions

- Category set to SCM

Comments were truncated to have every line the same height, it was not a feature.

IMO, truncating them was some kind of regression since you were no more able to see the whole comment text. Why would you want to see only the

first line?

#2 - 2012-05-19 14:20 - Jang-hwan Kim

git actually guides the users to use the first line of the log message as a subject, like in email.

DISCUSSION

       Though not required, it's a good idea to begin the commit message with

       a single short (less than 50 character) line summarizing the change,

       followed by a blank line and then a more thorough description. Tools

       that turn commits into email, for example, use the first line on the

       Subject: line and the rest of the commit in the body.

from git-commit manual page   

I think it's generally a good idea to show only the one line summary of the revision when there are lot of them to list, since I can get better view of the

whole, than each commits having different heights from different lines of commit logs.

For instance, github commits page shows only the first line, and have a button where you could expand to the whole message. I personally wouldn't

mind if there is no expand button, since I could click the the revision and read it inside.

#3 - 2021-06-06 14:50 - Go MAEDA

- Related to Feature #10886: Sensitivity to git-style log messages added
